<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{84C5493A-8F0A-4EF2-966D-8E4353B422FA}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Villain</RootNamespace>
    <AssemblyName>Villain</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Databases\DatabaseManager.cs" />
    <Compile Include="Databases\SqlCommandEx.cs" />
    <Compile Include="Databases\SQLServer.cs" />
    <Compile Include="Data\Types\BitFieldReader.cs" />
    <Compile Include="Data\Types\EnumEx.cs" />
    <Compile Include="Data\JSON.cs" />
    <Compile Include="Data\Types\StringEx.cs" />
    <Compile Include="Networking\Client.cs" />
    <Compile Include="Networking\Packets\IPacket.cs" />
    <Compile Include="Networking\Packets\Listener.cs" />
    <Compile Include="Networking\Packets\Packet.cs" />
    <Compile Include="Networking\Packets\PacketHandler.cs" />
    <Compile Include="Networking\Packets\PacketHandlerAttribute.cs" />
    <Compile Include="Networking\Packets\PacketHandlerException.cs" />
    <Compile Include="Networking\Packets\PacketWorker.cs" />
    <Compile Include="Output\Console.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Reflection\MethodByAttribute.cs" />
    <Compile Include="Reflection\Reflector.cs" />
    <Compile Include="Threading\QueueWorker.cs" />
  </ItemGroup>
  <ItemGroup />
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>